package sso

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type GetUserInfoRequest struct {
	*requests.RpcRequest
	OauthCode string `position:"Body" field:"oauthCode" default:"" `
	Ident     string `position:"Body" field:"ident" default:"" `
}

type GetUserInfoResponseData struct {
	*requests.RpcRequest
	User User `json:"user"`
}

type GetUserInfoResponse struct {
	*responses.BaseResponse
	Data GetUserInfoResponseData `json:"data"`
}

func CreateGetUserInfoRequest() (req *GetUserInfoRequest) {
	req = &GetUserInfoRequest{RpcRequest: &requests.RpcRequest{}}
	req.InitWithApiInfo(HOST, VERSION, "/api/userSess/getUserInfo")
	req.Method = requests.POST
	return
}

func CreateGetUserInfoResponse() (response *GetUserInfoResponse) {
	response = &GetUserInfoResponse{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
