package credentials

type BaseCredential struct {
	AccessKeyId     string
	AccessKeySecret string
	AccessKeyFrom   string
}

type AccessKeyCredential struct {
	AccessKeyId     string
	AccessKeySecret string
	AccessKeyFrom   string
}

func (baseCred *BaseCredential) ToAccessKeyCredential() *AccessKeyCredential {
	return &AccessKeyCredential{
		AccessKeyId:     baseCred.AccessKeyId,
		AccessKeySecret: baseCred.AccessKeySecret,
		AccessKeyFrom:   baseCred.AccessKeyFrom,
	}
}
